<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">

    <!-- Optional theme -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css" integrity="sha384-rHyoN1iRsVXV4nD0JutlnGaslCJuC7uwjduW9SVrLvRYooPp2bWYgmgJQIXwl/Sp" crossorigin="anonymous">
    <title>Simple Task Manager</title>
    <!-- cdn script buat chart -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.4.0/Chart.min.js"></script>
  </head>
  <body>

    <div>
        <p class="text-center" style="margin-top:2%;">Simple Search Engine</p>
    </div>

    <div align="center">
        <form method="POST">
            {{ sform.hidden_tag() }}
            <fieldset>
                <legend align="center">Inputkan Query</legend>
                {{ sform.keyword }}
                {{ sform.search }}
            </fieldset>
        </form>
    </div>
    <br>
    <div align="center">
    <b>Document Result:</b><br><br>
    <div class="container">
      <div class="row justify-content-md-center">
        <div class="col-md-4">
          <label>Kata Hubung</label>
          <canvas id="canvas" width="100%" height="100%"></canvas>
          <!-- penutup col pertama -->
        </div>
        <div class="col-md-4">
          <label>Distance</label>
          <canvas id="canvasBow" width="100%" height="100%"></canvas>
        </div>
        <!-- penutup row -->
      </div>
      <!-- penutup container -->
    </div>
    {% for v in hubung %}
    <script>
    var fadliMawur_label = [];
    var fadliMawur_data = [];
    var warnaWarni = [];
    {% for v in hubung %}
      fadliMawur_label.push("{{v}}");
      fadliMawur_data.push({{hubung[v]}});
      warnaWarni.push("rgb(255, 99, 132)", "rgb(0, 255, 64)", "rgb(255, 191, 0)", "rgb(0, 128, 255)", "rgb(0, 255, 255)", "rgb(128, 128, 128)", "rgb(191, 0, 255)");
    {% endfor %}
    var ctx = document.getElementById('canvas').getContext('2d');
    var chart = new Chart(ctx, {
      // The type of chart we want to create
      type: 'doughnut',

      // The data for our dataset
      data: {
        labels: fadliMawur_label,
        datasets: [{
            label: "Kata Hubung",
            // backgroundColor: 'rgb(255, 99, 132)',
            backgroundColor : warnaWarni,
            borderColor: 'rgb(255, 99, 132)',
            data: fadliMawur_data,
          }]
        },

        // Configuration options go here
        options: {}
      });
    </script>
    {% endfor %}

    {% for v in data %}
    <script>
    var data_label = [];
    var data_data = [];
    var warnaWarni = [];
    {% for v in data %}
      data_label.push("{{v[0]}}");
      data_data.push("{{v[1]}}");
      warnaWarni.push("rgb(255, 99, 132)", "rgb(0, 255, 64)", "rgb(255, 191, 0)", "rgb(0, 128, 255)", "rgb(0, 255, 255)", "rgb(128, 128, 128)", "rgb(191, 0, 255)");
    {% endfor %}
    var ctx = document.getElementById('canvasBow').getContext('2d');
    var chart = new Chart(ctx, {
      // The type of chart we want to create
      type: 'bar',

      // The data for our dataset
      data: {
        labels: data_label,
        datasets: [{
            label: "Distance",
            // backgroundColor: 'rgb(255, 99, 132)',
            backgroundColor : warnaWarni,
            borderColor: 'rgb(255, 99, 132)',
            data: data_data,
          }]
        },

        // Configuration options go here
        options: {}
      });
    </script>
    {% endfor %}

        <!-- cdn script buat js -->
        <script src="https://code.jquery.com/jquery-3.2.1.min.js"
        integrity="sha256-hwg4gsxgFZhOsEEamdOYGBf13FyQuiTwlAQgxVSNgt4="
        crossorigin="anonymous"></script>
        <!-- Latest compiled and minified JavaScript -->
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
  </body>
</html>
